#ifndef DIALOGS_H
#define DIALOGS_H

#include "xmldialog.h"

class TrainDialog : public XmlDialog
{
	int idTrain;
	int myTimer;
	
	public:
	
	void setTrain(int s);
	
	TrainDialog();
	
	void HandleEvent(Widget &obj, int msg, int arg1=0, int arg2=0);
	void update();
	
	virtual void MsgTimer (int id);
};

class TimeTableDialog : public XmlDialog
{
	MAS::ListBoxEx *lb;
	int myTimer;
	public:
		
	TimeTableDialog();

	void HandleEvent(Widget &obj, int msg, int arg1=0, int arg2=0);
	void update();
	virtual void MsgTimer (int id);
	
};

class CityDialog : public XmlDialog
{
	int myTimer;
	public:
		
	CityDialog() : XmlDialog()
	{
		readFromXml (resources.getDialog ("city"));		
	}

	void HandleEvent(Widget &obj, int msg, int arg1=0, int arg2=0);
	
};

class StationDialog : public XmlDialog
{
	int idStation;
	int myTimer;
	
	public:
		
	StationDialog();

	void setStation (int s);
	void HandleEvent(Widget &obj, int msg, int arg1=0, int arg2=0);
	void update();
	virtual void MsgTimer (int id);
};

#endif
